package com.logicbig.example;

import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class JsonReaderExample {

    public static void main(String[] args) throws IOException {
      try(JsonReader reader = Json.createReader(
              Files.newBufferedReader(Paths.get("d:\\json-example.txt")))){
          JsonObject jsonObject = reader.readObject();
          System.out.println(jsonObject.getString("message"));
          System.out.println(jsonObject.getString("date"));
      }
    }
}